$(document).ready(function() {

	var browserVersion = "";
    if($('.igshop-link-small-cart').length ) {
	linkSmallCart='.igshop-link-small-cart';
	containerSmallCart='.igshop-container';
    } else {
	linkSmallCart='.dropdown_header';
	containerSmallCart='.dropdown_header';
    }
	$('body').on("click", linkSmallCart ,function() {
	    $(this).parent().siblings().each(function(){
			$(this).find(".dropdown_action_arrow").removeClass("dropdown_action_close_arrow dropdown_action_open_arrow").addClass("dropdown_action_open_arrow");
			$(this).find(".dropdown_content").slideUp("normal");
			$(this).find(containerSmallCart).removeClass("active");
		});
		$(this).toggleClass("active");
		if($(this).hasClass("active")){
			$(this).parent().find(".dropdown_content").slideToggle("nomal", function(){
				$(this).siblings(containerSmallCart).toggleClass("active");
			});
		}else{
			$(this).toggleClass("active").parent().find(".dropdown_content").slideToggle("nomal", function(){
				$(this).siblings(containerSmallCart);
			});
		}
		$(this).parent().find(".dropdown_action_arrow").toggleClass("dropdown_action_close_arrow").toggleClass("dropdown_action_open_arrow");
	});
	// Script to remove smallFeCart if windowsSize is under 550px
	$(window).smartresize(function() {
		if(window.innerWidth <= 650){
			if($(".dropdown_content.smallCart").css("display") == "block"){
				$(".dropdown_content.smallCart").slideToggle("normal");
				$(".currency_cart .smallCart " + containerSmallCart).toggleClass("active");
				$(".currency_cart .smallCart " + containerSmallCart).find(".dropdown_action_arrow").toggleClass("dropdown_action_close_arrow").toggleClass("dropdown_action_open_arrow");
			}
		}
	});

	$(".currencySelect").click(function(){
		var curUid = $(this).attr("data-uid");
		var curText = $(this).text();

		$('.currency_selector ' + containerSmallCart).toggleClass("active").find(".dropdown_action_arrow").toggleClass("dropdown_action_close_arrow").toggleClass("dropdown_action_open_arrow");
		$('.dropdown_content.header_popup_currencies').slideToggle("normal");
		$('.currency_selector .dropdown_action_label').text(curText);
		$('.igShop2_cart_currency').val(curUid).change();
	});

	loadSmallFeCart();

	$('select.igShop2_cart_currency').change(function() {
		var currency = $(this).find(":selected").val();
		$(".product_price").removeClass("active_price");
		$(".price_"+currency).addClass("active_price");

		$.post(
		cartUrl,
		{
			'tx_igshop2_fecart[action]':"changeCurrency",
			'tx_igshop2_fecart[controller]':"Order",
			'tx_igshop2_fecart[currency]':currency,
			'type':"2000",
			'noCache': 1
		},
		function(){
			loadSmallFeCart();
		});

	});

      $(document).click(function(e) {
          if($('.smallCart').has(e.target).length == 0 && !$(e.target).hasClass('submit_product')) {
          	if($('.smallCart .dropdown_content').css('display') == 'block') {
              $('.smallCart ' + linkSmallCart).click();
            }
          }
      });
});

function loadSmallFeCart(){
	console.log("HALLO");
	if($('.igshop-ajax-action-cart').length ) {
	smallFeCartUrl=$('.igshop-ajax-action-cart').data('smallCartUrl');
	ajaxFieldProductCount='.igshop-ajax-field-count';
	ajaxFieldCart='.igshop-ajax-field-cart';
	} else {
		ajaxFieldProductCount='.smallFeCart_productCountNumber';
		ajaxFieldCart='.header_popup_products';
	}

	$.post(
	smallFeCartUrl,
	{
		'tx_igshop2_fecartsmall[action]':"loadSmallCartData",
		'tx_igshop2_fecartsmall[controller]':"Order",
		'type':"1000",
		'noCache': 1
	},
	function(data){
		$(ajaxFieldCart).html(data);
		var totalProdAmount = parseInt($(data).find(".totalProdAmount").attr("data-amount")) || 0;
		$(ajaxFieldProductCount).html(totalProdAmount);
		$('.smallFeCart_productCount').html("("+totalProdAmount+")");
	});
}